<div class="row justify-content-center">
  <div class="col-md-4">
    <div class="card-container mt-5">
      <img
        id="profile-img"
        src="https://vivek-college.org/Content/Schools/VES/img/bg-img/STUDENTS.png"
        class="profile-img-card"
      />
      <form
        *ngIf="!isLoggedIn"
        name="form"
        (ngSubmit)="f.form.valid && onSubmit()"
        #f="ngForm"
        novalidate
      >
        <div class="form-group">
          <label for="username">Username</label>
          <input
            type="text"
            class="form-control"
            name="username"
            [(ngModel)]="form.username"
            required
            #username="ngModel"
          />
          <div
            class="alert alert-danger"
            role="alert"
            *ngIf="username.errors && f.submitted"
          >
            Username is required!
          </div>
        </div>
        <div class="form-group">
          <label for="password">Password</label>
          <input
            type="password"
            class="form-control"
            name="password"
            [(ngModel)]="form.password"
            required
            minlength="6"
            #password="ngModel"
          />
          <div
            class="alert alert-danger"
            role="alert"
            *ngIf="password.errors && f.submitted"
          >
            <div *ngIf="password.errors.required">Password is required</div>
            <div *ngIf="password.errors.minlength">
              Password must be at least 6 characters
            </div>
          </div>
        </div>
        <div class="form-group">
          <button class="btn btn-primary btn-block">Login</button>
        </div>
        <div class="form-group">
          <div
            class="alert alert-danger"
            role="alert"
            *ngIf="f.submitted && isLoginFailed"
          >
            Login failed: {{ errorMessage }}
          </div>
        </div>
      </form>

      <!-- <div class="alert alert-success" *ngIf="isLoggedIn">
        <button routerLink="/admin" class="btn btn-success btn-block ml-3">
          <i class="fa-solid fa-computer-mouse mr-3"></i>
          Click here to View page
          <i class="fa-solid fa-computer-mouse ml-3"></i>
        </button>
      </div> -->
    </div>
  </div>
</div>
